Recommended Posts

I just upgraded PTA to v2.63 to support the new P3D version v4.4.

I tried to install some of the shaders from PTA but I got a error message.

ERROR message: "Applying preset D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\Itay.ini...
ERROR applying preset: source file D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\SHADERS_BACKUP\Cloud.fx not found
ERROR applying preset: source file D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\SHADERS_BACKUP\General.fx not found
ERROR applying preset: source file D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\SHADERS_BACKUP\GPUTerrain.fx not found
ERROR applying preset: source file D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\SHADERS_BACKUP\FuncLibrary.fxh not found
ERROR applying preset: source file D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\SHADERS_BACKUP\PostProcess\HDR.hlsl not found
ERROR applying preset: source file D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\SHADERS_BACKUP\PostProcess\FXAAResolve.hlsl not found
   Applying [Tweak main config (prepar3D.cfg)] to Main config file
Preset has been applied with errors. See log above
Shaders cache cleared"

What do I have to do ?

Thanks Itay

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

If I run the PTA as administrator I get the error:

Preset D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\Itay.ini loaded
Prepar3D 4.4.16 build 27077 detected as target verson
Shaders cache directory found at C:\Users\Levi\AppData\Local\Lockheed Martin\Prepar3D v4\Shaders\
Prepar3D main configuration file found at C:\Users\Levi\AppData\Roaming\Lockheed Martin\Prepar3D v4\Prepar3D.cfg
ERROR: shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\Cloud.fx is not original Prepar3D shader and can't be used
ERROR: shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\General.fx is not original Prepar3D shader and can't be used
ERROR: shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\GPUTerrain.fx is not original Prepar3D shader and can't be used
ERROR: shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\FuncLibrary.fxh is not original Prepar3D shader and can't be used
ERROR: shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\PostProcess\HDR.hlsl is not original Prepar3D shader and can't be used
ERROR: shader file C:\Program Files\Lockheed Martin\Prepar3D v4\ShadersHLSL\PostProcess\FXAAResolve.hlsl is not original Prepar3D shader and can't be used

I tried to delete the file ShaderHLSL, but if I do it I can't click on "APPLY preset".

And I got the message: Preset D:\Lockheed Martin\Prepar3D Addons Installers\PTA v2.63\Itay.ini loaded
Prepar3D 4.4.16 build 27077 detected as target verson
Shaders cache directory found at C:\Users\Levi\AppData\Local\Lockheed Martin\Prepar3D v4\Shaders\
Prepar3D main configuration file found at C:\Users\Levi\AppData\Roaming\Lockheed Martin\Prepar3D v4\Prepar3D.cfg
ERROR: Can't locate Prepar3D shaders folder

Share this post


Link to post
Share on other sites

That's now because you're not using the original shaders. Reinstall the client module only of P3D, then run PTA again (as administrator) and it'll work.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now